package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.Ray;
import com.ruoyi.platform.vo.RayVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.io.IOException;

public interface RayService {
    Page<Ray> queryByPage(String name, PageRequest pageRequest);

    Ray save(RayVo rayVo) throws Exception;

    String edit(RayVo rayVo) throws Exception;

    RayVo getRayDetail(Long id) throws IOException;

    String delete(Long id) throws Exception;

    String runRayIns(Long id) throws Exception;
}
